diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/simple-net-device.cc ns-3.43/src/network/utils/simple-net-device.cc
--- ns-3.42/src/network/utils/simple-net-device.cc	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/simple-net-device.cc	2024-10-09 16:41:10.076656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/simple-net-device.h ns-3.43/src/network/utils/simple-net-device.h
--- ns-3.42/src/network/utils/simple-net-device.h	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/simple-net-device.h	2024-10-09 16:41:10.076656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/sll-header.cc ns-3.43/src/network/utils/sll-header.cc
--- ns-3.42/src/network/utils/sll-header.cc	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/sll-header.cc	2024-10-09 16:41:10.076656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 Université Pierre et Marie Curie
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Matthieu Coudron <matthieu.coudron@lip6.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/sll-header.h ns-3.43/src/network/utils/sll-header.h
--- ns-3.42/src/network/utils/sll-header.h	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/network/utils/sll-header.h	2024-10-09 16:41:10.076656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 Université Pierre et Marie Curie
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Matthieu Coudron <matthieu.coudron@lip6.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/timestamp-tag.cc ns-3.43/src/network/utils/timestamp-tag.cc
--- ns-3.42/src/network/utils/timestamp-tag.cc	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/network/utils/timestamp-tag.cc	2024-10-09 16:41:10.076656600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Joe Kopena <tjkopena@cs.drexel.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/timestamp-tag.h ns-3.43/src/network/utils/timestamp-tag.h
--- ns-3.42/src/network/utils/timestamp-tag.h	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/network/utils/timestamp-tag.h	2024-10-09 16:41:10.076656600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Joe Kopena <tjkopena@cs.drexel.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/nix-vector-routing/examples/nix-double-wifi.cc ns-3.43/src/nix-vector-routing/examples/nix-double-wifi.cc
--- ns-3.42/src/nix-vector-routing/examples/nix-double-wifi.cc	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/nix-vector-routing/examples/nix-double-wifi.cc	2024-10-09 16:41:10.076656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2021 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * This example is inspired from examples/tutorial/third.cc by
  * substituting the CSMA network with another WiFi network.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/nix-vector-routing/examples/nix-simple.cc ns-3.43/src/nix-vector-routing/examples/nix-simple.cc
--- ns-3.42/src/nix-vector-routing/examples/nix-simple.cc	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/nix-vector-routing/examples/nix-simple.cc	2024-10-09 16:41:10.076656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2021 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Modified By: Ameya Deshpande <ameyanrd@outlook.com>
  *              Tommaso Pecorella <tommaso.pecorella@unifi.it>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/nix-vector-routing/examples/nix-simple-multi-address.cc ns-3.43/src/nix-vector-routing/examples/nix-simple-multi-address.cc
--- ns-3.42/src/nix-vector-routing/examples/nix-simple-multi-address.cc	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/nix-vector-routing/examples/nix-simple-multi-address.cc	2024-10-09 16:41:10.076656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2021 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Ameya Deshpande <ameyanrd@outlook.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/nix-vector-routing/examples/nms-p2p-nix.cc ns-3.43/src/nix-vector-routing/examples/nms-p2p-nix.cc
--- ns-3.42/src/nix-vector-routing/examples/nms-p2p-nix.cc	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/nix-vector-routing/examples/nms-p2p-nix.cc	2024-10-09 16:41:10.076656600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2009, GTech Systems, Inc.
  * Copyright (c) 2021 NITK Surathkal: Extended to handle IPv6
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Alfred Park <park@gtech-systems.com>
  * Modified By: Josh Pelkey <jpelkey@gatech.edu> (ported to ns-3)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/nix-vector-routing/helper/nix-vector-helper.cc ns-3.43/src/nix-vector-routing/helper/nix-vector-helper.cc
--- ns-3.42/src/nix-vector-routing/helper/nix-vector-helper.cc	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/nix-vector-routing/helper/nix-vector-helper.cc	2024-10-09 16:41:10.076656600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2009 The Georgia Institute of Technology
  * Copyright (c) 2021 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * This file is adapted from the old ipv4-nix-vector-helper.cc.
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/nix-vector-routing/helper/nix-vector-helper.h ns-3.43/src/nix-vector-routing/helper/nix-vector-helper.h
--- ns-3.42/src/nix-vector-routing/helper/nix-vector-helper.h	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/nix-vector-routing/helper/nix-vector-helper.h	2024-10-09 16:41:10.076656600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2009 The Georgia Institute of Technology
  * Copyright (c) 2021 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * This file is adapted from the old ipv4-nix-vector-helper.h.
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/nix-vector-routing/model/nix-vector-routing.cc ns-3.43/src/nix-vector-routing/model/nix-vector-routing.cc
--- ns-3.42/src/nix-vector-routing/model/nix-vector-routing.cc	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/nix-vector-routing/model/nix-vector-routing.cc	2024-10-09 16:41:10.076656600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2009 The Georgia Institute of Technology
  * Copyright (c) 2021 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * This file is adapted from the old ipv4-nix-vector-routing.cc.
  *
@@ -1009,9 +998,8 @@
 
     *os << std::resetiosflags(std::ios::adjustfield) << std::setiosflags(std::ios::left);
 
-    *os << "Node: " << m_ip->template GetObject<Node>()->GetId() << ", Time: " << Now().As(unit)
-        << ", Local time: " << m_ip->template GetObject<Node>()->GetLocalTime().As(unit)
-        << ", Nix Routing" << std::endl;
+    *os << "Node: " << m_node->GetId() << ", Time: " << Now().As(unit)
+        << ", Local time: " << m_node->GetLocalTime().As(unit) << ", Nix Routing" << std::endl;
 
     *os << "NixCache:" << std::endl;
     if (m_nixCache.size() > 0)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/nix-vector-routing/model/nix-vector-routing.h ns-3.43/src/nix-vector-routing/model/nix-vector-routing.h
--- ns-3.42/src/nix-vector-routing/model/nix-vector-routing.h	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/nix-vector-routing/model/nix-vector-routing.h	2024-10-09 16:41:10.076656600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2009 The Georgia Institute of Technology
  * Copyright (c) 2021 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * This file is adapted from the old ipv4-nix-vector-routing.h.
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/nix-vector-routing/test/nix-test.cc ns-3.43/src/nix-vector-routing/test/nix-test.cc
--- ns-3.42/src/nix-vector-routing/test/nix-test.cc	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/nix-vector-routing/test/nix-test.cc	2024-10-09 16:41:10.076656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2021 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Ameya Deshpande <ameyanrd@outlook.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/olsr/examples/olsr-hna.cc ns-3.43/src/olsr/examples/olsr-hna.cc
--- ns-3.42/src/olsr/examples/olsr-hna.cc	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/olsr/examples/olsr-hna.cc	2024-10-09 16:41:10.076656600 -0700
@@ -1,17 +1,6 @@
 /*
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Lalith Suresh <suresh.lalith@gmail.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/olsr/examples/simple-point-to-point-olsr.cc ns-3.43/src/olsr/examples/simple-point-to-point-olsr.cc
--- ns-3.42/src/olsr/examples/simple-point-to-point-olsr.cc	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/olsr/examples/simple-point-to-point-olsr.cc	2024-10-09 16:41:10.076656600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/olsr/helper/olsr-helper.cc ns-3.43/src/olsr/helper/olsr-helper.cc
--- ns-3.42/src/olsr/helper/olsr-helper.cc	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/olsr/helper/olsr-helper.cc	2024-10-09 16:41:10.076656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/olsr/helper/olsr-helper.h ns-3.43/src/olsr/helper/olsr-helper.h
--- ns-3.42/src/olsr/helper/olsr-helper.h	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/olsr/helper/olsr-helper.h	2024-10-09 16:41:10.076656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/olsr/model/olsr-header.cc ns-3.43/src/olsr/model/olsr-header.cc
--- ns-3.42/src/olsr/model/olsr-header.cc	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/olsr/model/olsr-header.cc	2024-10-09 16:41:10.076656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 INESC Porto
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Gustavo J. A. M. Carneiro  <gjc@inescporto.pt>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/olsr/model/olsr-header.h ns-3.43/src/olsr/model/olsr-header.h
--- ns-3.42/src/olsr/model/olsr-header.h	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/olsr/model/olsr-header.h	2024-10-09 16:41:10.076656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 INESC Porto
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Gustavo J. A. M. Carneiro  <gjc@inescporto.pt>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/olsr/model/olsr-repositories.h ns-3.43/src/olsr/model/olsr-repositories.h
--- ns-3.42/src/olsr/model/olsr-repositories.h	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/olsr/model/olsr-repositories.h	2024-10-09 16:41:10.076656600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2004 Francisco J. Ros
  * Copyright (c) 2007 INESC Porto
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Francisco J. Ros  <fjrm@dif.um.es>
  *          Gustavo J. A. M. Carneiro <gjc@inescporto.pt>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/olsr/model/olsr-routing-protocol.cc ns-3.43/src/olsr/model/olsr-routing-protocol.cc
--- ns-3.42/src/olsr/model/olsr-routing-protocol.cc	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/olsr/model/olsr-routing-protocol.cc	2024-10-09 16:41:10.076656600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2004 Francisco J. Ros
  * Copyright (c) 2007 INESC Porto
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Francisco J. Ros  <fjrm@dif.um.es>
  *          Gustavo J. A. M. Carneiro <gjc@inescporto.pt>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/olsr/model/olsr-routing-protocol.h ns-3.43/src/olsr/model/olsr-routing-protocol.h
--- ns-3.42/src/olsr/model/olsr-routing-protocol.h	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/olsr/model/olsr-routing-protocol.h	2024-10-09 16:41:10.076656600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2004 Francisco J. Ros
  * Copyright (c) 2007 INESC Porto
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Francisco J. Ros  <fjrm@dif.um.es>
  *          Gustavo J. A. M. Carneiro <gjc@inescporto.pt>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/olsr/model/olsr-state.cc ns-3.43/src/olsr/model/olsr-state.cc
--- ns-3.42/src/olsr/model/olsr-state.cc	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/olsr/model/olsr-state.cc	2024-10-09 16:41:10.076656600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2004 Francisco J. Ros
  * Copyright (c) 2007 INESC Porto
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Francisco J. Ros  <fjrm@dif.um.es>
  *          Gustavo J. A. M. Carneiro <gjc@inescporto.pt>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/olsr/model/olsr-state.h ns-3.43/src/olsr/model/olsr-state.h
--- ns-3.42/src/olsr/model/olsr-state.h	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/olsr/model/olsr-state.h	2024-10-09 16:41:10.076656600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2004 Francisco J. Ros
  * Copyright (c) 2007 INESC Porto
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Francisco J. Ros  <fjrm@dif.um.es>
  *          Gustavo J. A. M. Carneiro <gjc@inescporto.pt>
